#1635 closed defect (fixed)

Refactor Priority bit map handling

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

This PR introduces the refactoring of priority handling, to isolate the bitmap implementation of priorities in the supercore so that priority management is a little more modular.

This change is in anticipation of scheduler implementations that can select how they manage tracking priority levels / finding the highest priority ready task. Note that most of the changes here are simple renaming, to clarify the use of the bitmap-based priority management.

There is also the addition of new .h and .inl files for the priority bit map implementation.

Attachments (6)

rtems-cvs.diff (19.2 KB) - added by Gedare Bloom on Jul 27, 2010 at 7:52:42 PM.
Patch to refactor priority handling.
rtems.tgz (2.5 KB) - added by Gedare Bloom on Jul 27, 2010 at 7:53:43 PM.
New files.
ChangeLog (782 bytes) - added by Gedare Bloom on Jul 27, 2010 at 7:57:16 PM.
changelog entry
ChangeLog_v1 (660 bytes) - added by Gedare Bloom on Jul 27, 2010 at 9:06:16 PM.
cpukit/ChangeLog
rtems-cvs_v1.diff (40.2 KB) - added by Gedare Bloom on Jul 28, 2010 at 2:01:18 PM.
Patch to refactor priority handling.
rtems_v1.tgz (2.5 KB) - added by Gedare Bloom on Jul 28, 2010 at 2:02:42 PM.
New files.

Download all attachments as: .zip

Change History (13)

Changed on Jul 27, 2010 at 7:52:42 PM by Gedare Bloom

Attachment: rtems-cvs.diff added

Patch to refactor priority handling.

Changed on Jul 27, 2010 at 7:53:43 PM by Gedare Bloom

Attachment: rtems.tgz added

New files.

Changed on Jul 27, 2010 at 7:57:16 PM by Gedare Bloom

Attachment: ChangeLog added

changelog entry

Changed on Jul 27, 2010 at 9:06:16 PM by Gedare Bloom

Attachment: ChangeLog_v1 added

cpukit/ChangeLog

comment:1 Changed on Jul 27, 2010 at 9:06:16 PM by Gedare Bloom

attachments.isobsolete: 01

comment:2 Changed on Jul 28, 2010 at 7:39:34 AM by Sebastian Huber

attachments.mimetype: application/octet-streamtext/plain

comment:3 Changed on Jul 28, 2010 at 7:50:36 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Jul 28, 2010 at 2:01:18 PM by Gedare Bloom

Attachment: rtems-cvs_v1.diff added

Patch to refactor priority handling.

comment:4 Changed on Jul 28, 2010 at 2:01:18 PM by Gedare Bloom

attachments.isobsolete: 01

Changed on Jul 28, 2010 at 2:02:42 PM by Gedare Bloom

Attachment: rtems_v1.tgz added

New files.

comment:5 Changed on Jul 28, 2010 at 2:02:42 PM by Gedare Bloom

attachments.isobsolete: 01

comment:6 Changed on Jul 29, 2010 at 9:36:54 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Closing.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.